@charset "UTF-8";
/* style.css */

body {
  background: #FFFF00;
  color: #000;
  font-family: 'Quicksand', 'Mplus 1p', sans-serif;
  font-size: 16px;
  line-height: 1.7;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
}
a {
  text-decoration: none;
}
#wrapper { position: relative;}

/*--------------------
2:header
--------------------*/
header {
  padding: 48px 0 24px;
  text-align: center;
}
h1 {
  font-size: 18px;
  margin-bottom: 16px;
}

/*--------------------
3:form parts
--------------------*/
form { display: none;}
:placeholder-shown { color: #676767;}
input[type="text"],
textarea {
  background: #fff;
  border-radius: 10px;
  border: none;
  font-family: inherit;
  font-size: 18px;
  outline: none;
  padding: 14px;
  resize: none;
  transition: background-color .4s ease;
  width: 100%;
}
textarea { height: 96px;}
input[type="text"]:focus,
textarea:focus {
  background-color: #fafafa;
}
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 10px;
  color: #676767;
  font-family: inherit;
  font-size: 18px;
  outline: none;
  padding: 14px 32px;
  margin: 0;
  background: #fff;
  border: none;
}
select::-ms-expand {
  display: none;
}
select.enter-val {
  color: #000;
}
select:disabled {
  opacity: 0.8;
}
.btn {
  background: #00EB75;
  border-radius: 10px;
  color: #fff;
  cursor: pointer;
  display: block;
  font-size: 18px;
  font-weight: 900;
  margin-top: 32px;
  padding: 14px;
  text-align: center;
  transition: .4s ease;
}
.btn.disabled {
  background: #dedede;
  cursor: default;
  opacity: 0.8;
}
.btn:not(.disabled):hover {
  background-color: #00c964;
}
.born {
  display: flex;
  justify-content: space-between;
  margin-top: 32px;
}
.born select {
  flex: 0 25%;
}
.born select:first-child {
  flex: 0 40%;
}
.btn-mini {
  background: #00EB75;
  border-radius: 10px;
  cursor: pointer;
  color: #fff;
  font-size: 18px;
  padding: 14px;
  text-align: center;
  transition: .4s ease;
  width: 120px;
}
.btn-del {
  background: #787878;
}
.btn-del:hover {
  background-color: #454545;
}
.btn-submit {
  background: #0075EB;
}
.btn.btn-submit:hover {
  background: #0064c9;
}
@media (min-width: 768px) {
  .default-box {
    border-top: 1px solid rgba(0,0,0,0.2);
    margin: 32px auto 0;
    padding-top: 32px;
    width: 640px;
  }
  .default-box input { text-align: center;}
  form {
    border-top: 1px solid rgba(0,0,0,0.2);
    margin: 32px auto 0;
    padding: 32px 24px 64px;
    width: 768px;
  }
  form dl + .btn,
  form .btn + dl,
  form dl + dl { margin-top: 32px;}
  dl {
    display: flex;
    align-items: center;
  }
  dl.add {
    position: relative;
    /* display: none; */
    align-items: flex-start;
  }
  dl.add textarea {
    padding-right: 48px;
  }
  dt {
    flex: 0 120px;
    font-size: 20px;
    margin-right: 24px;
  }
  dd {
    flex: 1;
  }
  dl.add select {
    padding: 8px 32px;
  }
  .event-month { margin-top: 10px;}
  .type-flex {
    display: flex;
  }
  .type-flex input[type=text] {
    flex: 1;
    margin-right: 24px;
  }
  .type-flex .btn-mini {
    flex: 0 120px;
  }
  .close {
    background: #787878;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    border-top-right-radius: 10px;
    height: 32px;
    transition: .4s ease;
    width: 32px;
  }
  .close:hover { background-color: #454545;}
  .close span {
    position: absolute;
    top: 15px;
    left: 4px;
    background: #fff;
    border-radius: 1px;
    display: block;
    height: 2px;
    width: 24px;
  }
  .close span:first-child {
    transform: rotate(45deg);
  }
  .close span:last-child {
    transform: rotate(-45deg);
  }
}


/*--------------------
4:#result
--------------------*/
.result-content {
  margin: 0 auto;
}
@media (min-width: 768px) {
  .result-content {
    margin-top: 40px;
    padding-bottom: 64px;
    width: 1120px;
  }
  #result table {
    border: 1px solid #000;
    table-layout: fixed;
    width: 100%;
  }
  .tbl-year {
    width: 4em;
  }
  #result table th {
    padding: 0.8em;
  }
  #result table td {
    background: #fff;
    border-top: 1px solid #000;
    padding: 0.8em;
  }
  #result table th + th,
  #result table td + td { border-left: 1px solid #000;}
  #result table tr:nth-child(odd) td { background: #f5f5f5;}
  #result table td:first-child { text-align: center;}
  .result-txt {
    display: flex;
    align-items: flex-start;
  }
  .result-month {
    flex: 0 4em;
  }
  .result-txt span:last-child {
    flex: 1;
  }
  #result .btn-back {
    margin: 0 auto 64px;
    width: 768px;
  }
}

/*--------------------
5:footer
--------------------*/
address {
  background: #000;
  color: #fff;
  font-style: normal;
  padding: 0.5em;
  text-align: center;
}
#top #wrapper {
  min-height: 100vh;
  padding-bottom: 43px;
}
#top footer {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}
